Subject: Re: [PATCH] [POWERPC] Use a sensible default for clock_getres() in the vdso.

From: Chirag Jog <[email-masked]>
Date: Tue, 5 Feb 2008 14:37:42 +0530

* Tony Breeds <[email-masked]> [2008-02-05 16:16:48]:

> On Sun, Jan 27, 2008 at 07:32:59PM +0530, Sripathi Kodi wrote:
> > Hi Paul,
> > 
> > On PPC, I see a disparity between clock_getres implementations in the
> > vdso and syscall. I am using a IBM Openpower hardware and 2.6.24 kernel
> > with CONFIG_HIGH_RES_TIMERS=y. 
> > 
> > clock_getres call for CLOCK_REALTIME returns 1 millisecond. However,
> > when I edit arch/powerpc/kernel/vdso*/gettimeofday.S to force it to use 
> > sys_clock_getres, I get 1 nanosecond resolution. The code in vdso seems
> > to be returning some pre-defined (incorrect) variables.
> > 
> > Could you please let me know the reason for this? Is it something that
> > should be fixed in vdso?
> 
> Can you try the attached patch and see it if works for you?
I tried this patch.
It seems to solve the reported problem and give a 1ns resolution.
Thanks.

-- 
Cheers,
Chirag Jog